routes/web.php
<?php

use App\Http\Controllers\Admin\UploadController;
use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\Sites\HomeController;
use App\Http\Controllers\Sites\JobController;
use App\Http\Controllers\Sites\NewsController;
use App\Http\Controllers\Sites\PhotoController;
use App\Http\Controllers\Sites\SolutionController;
use App\Http\Controllers\Sites\SubPageController;
use App\Http\Controllers\Sites\TeamController;
use App\ViewModels\Sites\Home\SubPageViewModel;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::group(['namespace' => 'Sites'], function () {
    Route::prefix('/')->name('sites.')->group(function () {
        //Single Url
        Route::get("/hoi-dap.html", function () {
            return 1;
        })->name("faq");
        Route::get("/thanks.html", function () {
            return view('sites.pages.thanks', []);
        })->name("thanks");
        Route::get("/GetflyCRM-Giai-phap-quan-ly-va-cham-soc-khach-hang-toan-dien-cho-SMEs-Viet", [
            HomeController::class,
            "solutionPageAction"
        ]);
        Route::get("/features.html", [HomeController::class, "solutionPageAction"]);
        Route::get('/page/{slug}', [SubPageController::class, "index"])->name("sub-page");
        Route::get('/module-mo-rong/{slug}.html', [SubPageController::class, "index"])->name("sub-page-module");
        Route::get('/tinh-nang/{folder}/{slug}.html', [
            SubPageController::class,
            "pageWithFolder"
        ])->name("sub-page-folder");
        Route::get('/tinh-nang/{slug}.html', [SubPageController::class, "index"])->name("sub-page-feature");

        Route::get('/marketing.html', [SubPageController::class, "marketing"])->name("sub-page-marketing");
        Route::get('/lien-he.html', "HomeController@contactPageAction")->name("contact");
        Route::get('/lien-he', "HomeController@contactPageAction")->name("contact");
        Route::get("/tuyen-dung.html", [JobController::class, "listJobsAction"])->name("jobs.list");
        Route::get("/chi-tiet-tuyen-dung/{recruitment_id?}", [
            JobController::class,
            "detailJobAction"
        ])->name("jobs.detail");
        Route::get('/ve-getfly.html', "HomeController@aboutPageAction")->name("about");
//        Route::get('/dang-ky.html', "HomeController@trialPageAction")->name("trial");
        Route::get('/dang-ky-dung-thu-phan-mem.html', "HomeController@trialPageAction")->name("trial");
        Route::get('/cuoc-song-getfly.html', [TeamController::class, "index"])->name("team-getfly");
        Route::get('/he-sinh-thai.html', [HomeController::class, "partnerPageAction"])->name("partner");
        Route::get('/feedback', [HomeController::class, "storyPageAction"])->name("stories");
        Route::get('/feedback/detail/{id}', [HomeController::class, "storyDetailPageAction", "id"])->name("story");
        Route::get('/crm-quan-ly-khach-hang.html/', [HomeController::class, "subHomePageAction"]);
        Route::post("/tuyen-dung", [JobController::class, "ajaxJobAction"])->name("jobs.ajax");
        Route::post("/photo/", [PhotoController::class, "getAjaxPhotoById"])->name("photo.ajax");
        Route::any("/tim-kiem", [NewsController::class, "searchNewsAction"])->name("newspapers.search");
        Route::any("/tim-kiem-them", [NewsController::class, "searchMoreNewsAction"])->name("newspapers.search-more");
        Route::get("/thu-moi-hop-tac.html", [HomeController::class, "invitePageAction"])->name("invite");
        //
        Route::get("/giai-phap/{slug}.html", [SolutionController::class, "showSolutionAction"])->name("solution");
        Route::get('/bang-gia.html', "HomeController@pricingPageAction")->name("pricing");
        Route::get('/danh-muc/{id}/{slug}.html', [NewsController::class, "listBlogAction", "id", "slug"])
            ->where("slug", "(.*)")
            ->name('blogs.list')->name("blog.list");

        Route::get('/', 'HomeController@listHomeAction')->name('home.list');

        Route::get('/i{id}-{slug}.html', [NewsController::class, "listNewspapersAction", "id", "slug"])
            ->where("slug", "(.*)")->name('newspapers.list');

        Route::any('/newspapers/more', 'NewsController@loadMoreNewspaper')->name('newspapers.more');

        Route::get('/{newspaper_data}.html', [NewsController::class, "detailNewspaperAction", "newspaper_data"])
            ->where("newspaper_data", "(.*)")
            ->name('newspaper.detail');
    });
});
Route::post("admin/login", [AuthController::class, "login"])->name("auth.login")->name("backpack.auth.login");

app/Http/Controllers/Sites/BannerController.php
<?php

namespace App\Http\Controllers\Sites;

use App\Http\Controllers\BaseController;
use App\Http\Controllers\Controller;
use App\Models\Banner;
use App\Repository\BannerRepository;
use App\ViewModels\Sites\Banner\BannerListViewModel;
use App\ViewModels\Sites\Banner\BannerObject;
use Illuminate\Http\Request;
use Illuminate\View\View;

class BannerController extends BaseController
{
    /**
     * @param BannerRepository $bannerRepository
     */
    public function __construct(
        readonly private BannerRepository $bannerRepository
    ) {}

    /**
     * @return View
     */
    public function listBannersAction(): View
    {
        $bannersCollection = $this->bannerRepository->getBannerAll();

        $bannerListViewModel = new BannerListViewModel(
            banners: $bannersCollection->map(
                fn(Banner $banner) => new BannerObject(
                    title: $banner['title'],
                    image: $banner['image'],
                    url: $banner['url'],
                    position: $banner['position']
                )
        )->toArray());

        dd("Banners: ", $bannerListViewModel);
    }
}

app/Http/Controllers/Sites/HomeController.php
<?php

namespace App\Http\Controllers\Sites;

use App\Models\Feedback;
use App\Repository\BannerRepository;
use App\Repository\CategoryRepository;
use App\Repository\CustomerRepository;
use App\Repository\FeatureRepository;
use App\Repository\FeedbackRepository;
use App\Repository\InfoRepository;
use App\Repository\ModuleRepository;
use App\Repository\NewsRepository;
use App\Repository\PartnerRepository;
use App\Repository\PartnerTypeRepository;
use App\Repository\PricingRepository;
use App\Repository\V2FeatureRepository;
use App\Repository\V2PackageRepository;
use App\Repository\V2PartnerRepository;
use App\Repository\V2PricingRepository;
use App\ViewModels\Sites\Feedback\FeedbackDetailViewModel;
use App\ViewModels\Sites\Feedback\FeedbackListViewModel;
use App\ViewModels\Sites\Home\HomeViewModel;
use App\ViewModels\Sites\Home\Object\FeedbackObject;
use App\ViewModels\Sites\Module\ModuleViewModel;
use App\ViewModels\Sites\Pages\AboutViewModel;
use App\ViewModels\Sites\Pages\ContactViewModel;
use App\ViewModels\Sites\Pages\Object\ContactObject;
use App\ViewModels\Sites\Partner\PartnerListViewModel;
use App\ViewModels\Sites\Pricing\PricingViewModel;
use App\ViewModels\V2\V2HomeViewModel;
use App\ViewModels\V2\V2PricingClientViewModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\View\View;
use App\Http\Controllers\BaseController;

class HomeController extends BaseController
{
    public function __construct(
        readonly private FeedbackRepository $feedbackRepository,
        readonly private BannerRepository $bannerRepository,
        readonly private InfoRepository $infoRepository,
        readonly private FeatureRepository $featureRepository,
        readonly private CustomerRepository $customerRepository,
        readonly private PricingRepository $pricingRepository,
        readonly private PartnerRepository $partnerRepository,
        readonly private PartnerTypeRepository $partnerTypeRepository,
        readonly private NewsRepository $newsRepository,
        readonly private CategoryRepository $categoryRepository,
        readonly private V2PartnerRepository $v2PartnerRepository,
        readonly private V2PackageRepository $v2PackageRepository,
        readonly private V2PricingRepository $v2PricingRepository,
        private readonly V2FeatureRepository $v2FeatureRepository
    ) {}

    /**
     * @return View
     *
     * @author: Phạm Quang Linh <linhpq@getflycrm.com>
     * @since:  08/03/2024 09:16:38
     */
    public function listHomeAction(): View
    {
        $feedbacksCollection = $this->feedbackRepository->getFeedbackForHome();

        $bannerCollection = $this->bannerRepository->getBannerByPosition(1);
        $infoCollection = $this->infoRepository->getInfoById();
        $featuresCollection = $this->featureRepository->getFeaturesForHome();
        $customerCollection = $this->customerRepository->getCustomersForSite();

        $allCustomerCollection = $this->customerRepository->getAllActiveCustomers();

//        return view('sites.home.home', [
//            'homeViewModel' => new HomeViewModel(
//                feedbacks : $feedbacksCollection,
//                banners : $bannerCollection,
//                site : $infoCollection,
//                features : $featuresCollection,
//                customers : $customerCollection,
//                allCustomers : $allCustomerCollection
//            ),
//
//        ]);

        $newspaperCollection = $this->newsRepository->getDelegateNews();

        $topPartnerCollection = $this->v2PartnerRepository->getAllV2Partners(
            conditions : [
                'place_in_top_home' => 1
            ],
            orderBy : 'lft',
        );

        $bottomPartnerCollection = $this->v2PartnerRepository->getAllV2Partners(
            conditions : [
                'place_in_bottom_home' => 1
            ],
            orderBy : 'lft',
        );

        return \view('version2.home', [
            'v2HomeViewModel' => new V2HomeViewModel(
                feedbacks : $feedbacksCollection,
                newspapers : $newspaperCollection,
                topPlacePartners : $topPartnerCollection,
                bottomPlacePartners : $bottomPartnerCollection
            )
        ]);
    }

    public function subHomePageAction(): View
    {
        return view("sites.home.sub", [

        ]);
    }

    public function aboutPageAction(): View
    {
        return view("sites.pages.about", [
            'aboutViewModel' => new AboutViewModel(information : $this->infoRepository->getInfoById())
        ]);
    }

    public function pricingPageAction(): View
    {
        $v2PricingClientViewModel = new V2PricingClientViewModel(
            onCloudPackages : $this->v2PackageRepository->getAllV2OnCloudPackage(),
            pricingCollection : $this->v2PricingRepository->getAllV2Pricing(),
            featureCollection : $this->v2FeatureRepository->getAllV2Feature(),
            onPremisePackages : $this->v2PackageRepository->getAllV2OnPremisePackage()
        );

//        return \view('version2.pricing', [
//            'v2PricingClientViewModel' => $v2PricingClientViewModel
//        ]);

        return \view("version2.pricing-ds", [
            'v2PricingClientViewModel' => $v2PricingClientViewModel
        ]);

        return view("sites.pages.pricing", [
            "pricingViewModel" => new PricingViewModel(pricing : $this->pricingRepository->getPricingPagination()),
            'moduleViewModel' => new ModuleViewModel(modules : $this->moduleRepository->listModules())
        ]);
    }

    public function trialPageAction(): View
    {
        return view("sites.pages.trial", [
            'contactViewModel' => new ContactViewModel(
                contactObject : new ContactObject(
                    contact_form : $this->infoRepository->getInfoById()["contact_form"]
                )
            )
        ]);
    }

    public function contactPageAction(): View
    {
        return \view("sites.pages.contact");
    }

    public function partnerPageAction(): View
    {
        return \view("sites.pages.partner", [
            'partnerListViewModel' => new PartnerListViewModel(
                partners : $this->partnerRepository->getAllPartner(),
                partnerTypes : $this->partnerTypeRepository->getAll()
            )
        ]);
    }

    public function storyPageAction(): View
    {
        $feedbackCollection = $this->feedbackRepository->getAllFeedback();

        return \view("sites.pages.stories", ["feedbackListViewModel" => new FeedbackListViewModel(feedbacks : $feedbackCollection)]);
    }

    public function storyDetailPageAction($id): View
    {
        if (! is_numeric($id)) {
            abort(404);
        }
        $feedback = $this->feedbackRepository->getFeedbackById($id);
        if (! $feedback) {
            abort(404);
        }
        $feedbackDetailViewModel = new FeedbackDetailViewModel(feedback : $feedback);

        return \view("sites.pages.story", [
            "feedbackDetailViewModel" => $feedbackDetailViewModel
        ]);
    }

    public function invitePageAction(): View
    {
        return \view("sites.pages.invite", [
            "partnerListViewModel" => new PartnerListViewModel(partners : $this->partnerRepository->getAllPartner(), partnerTypes : $this->partnerTypeRepository->getAll())
        ]);
    }

    public function solutionPageAction(): View
    {
        $feedbacksCollection = $this->feedbackRepository->getFeedbackForHome();
        $bannerCollection = $this->bannerRepository->getBannerByPosition(1);
        $infoCollection = $this->infoRepository->getInfoById();
        $featuresCollection = $this->featureRepository->getFeaturesForHome();
        $customerCollection = $this->customerRepository->getCustomersForSite();
//        dd($customerCollection);
        $allCustomerCollection = $this->customerRepository->getAllActiveCustomers();

        return view('sites.pages.solution', [
            'homeViewModel' => new HomeViewModel(
                feedbacks : $feedbacksCollection,
                banners : $bannerCollection,
                site : $infoCollection,
                features : $featuresCollection,
                customers : $customerCollection,
                allCustomers : $allCustomerCollection
            ),
            "pricingViewModel" => new PricingViewModel(pricing : $this->pricingRepository->getPricingPagination()),

        ]);
    }

    public function webhook(Request $request): void
    {
        Log::info($request->header('x-api-key'));
        Log::info($request->input());
    }

    public function webhookLalaMove(Request $request): void
    {
        Log::info($request->input());
    }
}

app/Http/Controllers/Sites/JobController.php
<?php

namespace App\Http\Controllers\Sites;

use App\Http\Controllers\BaseController;
use App\Http\Controllers\Controller;
use App\Models\Room;
use App\Repository\RecruitmentRepository;
use App\Repository\RoomRepository;
use App\ViewModels\Sites\Jobs\JobDetailViewModel;
use App\ViewModels\Sites\Jobs\ListJobsViewModel;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\View\View;

class JobController extends BaseController
{
    public function __construct(
        private readonly RecruitmentRepository $recruitmentRepository,
        private readonly RoomRepository        $roomRepository,
    )
    {
    }

    public function listJobsAction(): View
    {
        return \view("sites.jobs.list_jobs", [
            'listJobsViewModel' => new ListJobsViewModel(
                jobs: $this->recruitmentRepository->getBuilder()->get(),
                rooms: $this->roomRepository->getBuilder()->get(),
            )
        ]);
    }

    public function ajaxJobAction(Request $request): JsonResponse
    {
        $rooms = $request->rooms ?? [];
        if (in_array("room-all", $rooms)) {
            $jobCollection = $this->recruitmentRepository->getAll();
        } else {
            $selected = [];
            foreach ($rooms as $room) {
                $selected[] = str_replace("room-", "", $room);
            }
            $jobCollection = $this->recruitmentRepository->getBuilder()->whereIn("room_id", $selected)->get();
        }
        $listJobsViewModel = new ListJobsViewModel(
            jobs: $jobCollection, rooms: $this->roomRepository->getBuilder()->get()
        );
        return response()->json([
            'data' => "" . view("sites.jobs.job_items", ["listJobsViewModel" => $listJobsViewModel])
        ]);
    }

    public function detailJobAction($recruitment_id = null): View
    {
        if ($recruitment_id == null) {
            abort(404);
        }
        if (!is_numeric($recruitment_id)) {
            abort(404);
        }
        $recruitment = $this->recruitmentRepository->getBuilder()->where("id", $recruitment_id)->firstOrFail();
        $relate_recruitment = $this->recruitmentRepository->getBuilder()->orderBy("created_at", "DESC")->limit(3)->get();
        $jobDetailViewModel = new JobDetailViewModel(recruitment: $recruitment, recruitments: $relate_recruitment);
        return \view("sites.jobs.job_detail", [
            'jobDetailViewModel' => $jobDetailViewModel
        ]);
    }
}

resources/views/sites/newspaper/newspaper_item.blade.php
@php
    use App\ViewModels\Sites\News\Object\NewsListObject;
    /**
* @var  NewsListObject $news
 */
@endphp
<div class="box-news border py-0">
    <img src="{{url($news->getImage())}}" class="w-full" style="aspect-ratio: 368/179">
    <div class="p-3">
        <div class="flex gap-1">
            <p class="text-neutral-600">{{$news->getCreatedAt()}}</p> - <a
                    href="{{route("sites.newspapers.list",["id"=>$news->getCateId(),"slug"=>$news->getCateId()])}}"
                    class="text-primary-blue500 font-semibold">
                {{$news->getCateTitle()}}</a>
        </div>
        <div class="py-2">
            <a href="{{route("sites.newspaper.detail",$news->getSlug())}}"
               class="font-bold text-primary-blue500 text-lg">
                {{$news->getTitle()}}
            </a>
        </div>
        <p>{{$news->getDescription()}}</p>
    </div>
</div>

resources/views/sites/newspaper/newspapers_list.blade.php
@php
    use App\ViewModels\Sites\News\NewsListViewModel;

    /**
     * @var NewsListViewModel $newspapersListViewModel
     */

@endphp

@extends('sites.shared.layout')


@section('title')
    Tin tức
@endsection

@section('content')
    <div class="2xl:px-[20rem] lg:px-[10rem] lg:px-[5rem] box-customer-crm py-0 mb-5">
        <div class="title-tintuc lg:flex justify-between items-center w-full mb-2">
            <p class="font-bold text-base lg:text-left text-center md:mb-0 mb-4">{{$newspapersListViewModel->getTitle()}}</p>
            <div class="search-form md:w-1/5  ml-2 mt-3 mb-3">
                <form action="{{route("sites.newspapers.search")}}">
                    <div class="relative">
                        <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                            <svg aria-hidden="true" class="w-5 h-5 text-gray-500 dark:text-gray-400" fill="none"
                                 stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                      d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
                            </svg>
                        </div>
                        <input type="search" name="params" value=""
                               id="default-search"

                               class="block w-full p-4 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                               placeholder="Tìm kiếm tin tức" required>
                        <button type="submit"
                                class="text-white absolute right-2.5 bottom-2.5 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                            Tìm
                        </button>
                    </div>
                </form>
            </div>

        </div>
        <div class="customer-crm">
            <div class="w-3/4 mobile">
                @foreach($newspapersListViewModel->getNews() as $news)
                    @if($loop->first)
                        <div class="box-news border py-0 mb-5">
                            <img src="{{url($news->getImage())}}" class="w-full">
                            <div class="p-3">
                                <div class="flex gap-1">
                                    <p class="text-neutral-600">{{$news->getCreatedAt()}}</p> - <a
                                            href="{{route("sites.newspapers.list",['id'=>$news->getCateId(),'slug'=>$news->getCateSlug()])}}"
                                            class="text-primary-blue500 font-semibold">
                                        {{$news->getCateTitle()}}</a>
                                </div>
                                <div class="py-2">
                                    <a href="{{route("sites.newspaper.detail",$news->getSlug())}}"
                                       class="font-bold text-primary-blue500 text-lg">
                                        {{$news->getTitle()}}
                                    </a>
                                </div>
                                <p>{{$news->getDescription()}}</p>
                            </div>
                        </div>
                    @endif
                @endforeach
                <div class="grid lg:grid-cols-2 gap-6 mb-5" id="newspapers">
                    @foreach($newspapersListViewModel->getNews() as $news)
                        @if(!$loop->first)
                            @include("sites.newspaper.newspaper_item",['news'=>$news])
                        @endif
                    @endforeach
                </div>
                <div class="w-full flex justify-center mb-5">
                    <button id="see-more"
                            class="btn bg-btn-color rounded-full shadow-lg text-white p-3 px-8 uppercase mt-3">
                        Xem thêm
                    </button>


                </div>
            </div>
            @include("sites.shared.right_sidebar")
        </div>
    </div>
@endsection

@section('footer')
    @include('sites.shared.footer')
@endsection
@push("after_scripts")
    <script>

        $(document).ready(function () {
            let page = 2;
            $("#see-more").click(function () {
                $.post("{{route("sites.newspapers.more")}}", {
                    _token: "{{csrf_token()}}",
                    categoryId: {{$newspapersListViewModel->getCurrentCategoryId()}},
                    page: page,
                }, function (data, status) {
                    console.log(data)
                    $("#newspapers").append(data)
                    page++
                })

            })
        })
    </script>
@endpush

resources/views/sites/newspaper/newspapers_search.blade.php
@php
    use App\ViewModels\Sites\News\NewsSearchViewModel;

    /**
     * @var NewsSearchViewModel $newsSearchViewModel
     */

@endphp

@extends('sites.shared.layout')


@section('title')
    Tìm kiếm "{{$newsSearchViewModel->getParams()}}"
@endsection

@section('content')
    <div class="2xl:px-[20rem] lg:px-[10rem] lg:px-[5rem] box-customer-crm py-0 mb-5">
        <div class="title-tintuc lg:flex justify-between items-center w-full mb-2">
            <p class="font-bold text-base lg:text-left text-center md:mb-0 mb-4">Kết quả cho:
                "{{$newsSearchViewModel->getParams()}}"</p>
            <div class="search-form md:w-1/5  ml-2 mt-3 mb-3">
                <form action="{{route("sites.newspapers.search")}}">
                    <div class="relative">
                        <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                            <svg aria-hidden="true" class="w-5 h-5 text-gray-500 dark:text-gray-400" fill="none"
                                 stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                      d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
                            </svg>
                        </div>
                        <input type="search" name="params" value="{{$newsSearchViewModel->getParams()}}"
                               id="default-search"

                               class="block w-full p-4 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                               placeholder="Tìm kiếm tin tức" required>
                        <button type="submit"
                                class="text-white absolute right-2.5 bottom-2.5 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                            Tìm
                        </button>
                    </div>
                </form>
            </div>

        </div>
        <div class="customer-crm">
            @if($newsSearchViewModel->getNews()==[])
                <div class="w-3/4 mobile"></div>
            @else
                <div class="w-3/4 mobile">
                    @foreach($newsSearchViewModel->getNews() as $news)
                        @if($loop->first)
                            <div class="box-news border py-0 mb-5">
                                <img src="{{url($news->getImage())}}" class="w-full">
                                <div class="p-3">
                                    <div class="flex gap-1">
                                        <p class="text-neutral-600">{{$news->getCreatedAt()}}</p> - <a
                                                href="{{route("sites.newspapers.list",['id'=>$news->getCateId(),'slug'=>$news->getCateSlug()])}}"
                                                class="text-primary-blue500 font-semibold">
                                            {{$news->getCateTitle()}}</a>
                                    </div>
                                    <div class="py-2">
                                        <a href="{{route("sites.newspaper.detail",$news->getSlug())}}"
                                           class="font-bold text-primary-blue500 text-lg">
                                            {{$news->getTitle()}}
                                        </a>
                                    </div>
                                    <p>{{$news->getDescription()}}</p>
                                </div>
                            </div>
                        @endif
                    @endforeach
                    <div class="grid lg:grid-cols-2 gap-6 mb-5" id="newspapers">
                        @foreach($newsSearchViewModel->getNews() as $news)
                            @if(!$loop->first)
                                @include("sites.newspaper.newspaper_item",['news'=>$news])
                            @endif
                        @endforeach
                    </div>
                    <div class="w-full flex justify-center mb-5">
                        <button id="see-more"
                                class="btn bg-btn-color rounded-full shadow-lg text-white p-3 px-8 uppercase mt-3">
                            Xem thêm
                        </button>


                    </div>
                </div>
            @endif
            @include("sites.shared.right_sidebar")
        </div>
    </div>
@endsection

@section('footer')
    @include('sites.shared.footer')
@endsection
@push("after_scripts")
    <script>

        $(document).ready(function () {
            let page = 2;
            $("#see-more").click(function () {
                $.post("{{route("sites.newspapers.search-more")}}", {
                    _token: "{{csrf_token()}}",
                    params: "{{$newsSearchViewModel->getParams()}}",
                    page: page,
                }, function (data, status) {
                    console.log(data)
                    $("#newspapers").append(data)
                    page++
                })

            })
        })
    </script>
@endpush